postscript("xxx.mmm.eps",horizontal=TRUE,onefile=FALSE,height=6,width=10)

layout(matrix(c(1,2,3,4,5,6,4,7,8,4,9,10,4,11,12,4,13,14,4,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31), 12, 3, byrow = TRUE), c(0.1,1,0.2), c(1,1,1,1,1,1,1,1.5,1,1,1,1.2))

y <- c(yyymin,yyymax)
x <- c(ddd1,ddd2)
temp <- c(0,1)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.5,0.6,labels="Alignment: xxx; aaa; bbb",cex=1.7,adj=0.5)
text(0.5,0.1,labels="pairs: qqq; aln length: lll nt; total muts: nnn; mean muts/column: rrr; mean neutral muts/column: ccc",cex=1,adj=0.5)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.6,0.5,labels="conservation score",srt=90,cex=1.7)

all <- read.table("tghyv.mmm.all",col.names=c("V1","V2","V3"))
syn <- read.table("tghyv.mmm.syn",col.names=c("V1","V2","V3"))
n0  <- read.table("tghyv.mmm.n0",col.names=c("V1","V2","V3"))
n1  <- read.table("tghyv.mmm.n1",col.names=c("V1","V2","V3"))
n2  <- read.table("tghyv.mmm.n2",col.names=c("V1","V2","V3"))
n3  <- read.table("tghyv.mmm.n3",col.names=c("V1","V2","V3"))
lambda <- read.table("tghyv.ppp.lambda",col.names=c("V1","V2"))

par(mar=c(0,0,0,0))
plot(n0$V1,n0$V2,ylab="",xlab="",type="l",ylim=y,xaxt="n",yaxt="n",xlim=x,col="blue")
abline(h=0,lty="dashed")
par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.0,0.7,labels="non-coding positions",cex=1,adj=0.0)
text(0.0,0.4,labels="www2 nt running-mean",cex=1,adj=0.0)

par(mar=c(0,0,0,0))
plot(n1$V1,n1$V2,ylab="",xlab="",type="l",ylim=y,xaxt="n",yaxt="n",xlim=x,col="blue")
abline(h=0,lty="dashed")
par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.0,0.7,labels="1st codon position",cex=1,adj=0.0)
text(0.0,0.4,labels="www1 codon running-mean",cex=1,adj=0.0)

par(mar=c(0,0,0,0))
plot(n2$V1,n2$V2,ylab="",xlab="",type="l",ylim=y,xaxt="n",yaxt="n",xlim=x,col="blue")
abline(h=0,lty="dashed")
par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.0,0.7,labels="2nd codon position",cex=1,adj=0.0)
text(0.0,0.4,labels="www1 codon running-mean",cex=1,adj=0.0)

par(mar=c(0,0,0,0))
plot(n3$V1,n3$V2,ylab="",xlab="",type="l",ylim=y,xaxt="n",yaxt="n",xlim=x,col="blue")
abline(h=0,lty="dashed")
par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.0,0.7,labels="3rd codon position",cex=1,adj=0.0)
text(0.0,0.4,labels="www1 codon running-mean",cex=1,adj=0.0)

par(mar=c(0,0,0,0))
plot(syn$V1,syn$V2,ylab="",xlab="",type="l",ylim=y,xaxt="n",yaxt="n",xlim=x,col="green")
abline(h=0,lty="dashed")
par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.0,0.8,labels="4-fold degenerate",cex=1,adj=0.0)
text(0.0,0.5,labels="synonymous sites",cex=1,adj=0.0)
text(0.0,0.2,labels="www1 nt/codon running-mean",cex=1,adj=0.0)

par(mar=c(0,0,0,0))
plot(all$V1,all$V2,ylab="",xlab="",type="l",ylim=y,xaxt="n",yaxt="n",xlim=x,col="red")
abline(h=0,lty="dashed")
par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.0,0.7,labels="all nucleotides",cex=1,adj=0.0)
text(0.0,0.4,labels="www2 nt running-mean",cex=1,adj=0.0)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.95,0.76,labels="More conserved",cex=0.9,adj=1.0)
text(0.95,0.46,labels="than model",cex=0.9,adj=1.0)
text(0.95,0.16,labels="(1 / p-value)",cex=0.9,adj=1.0)
par(mar=c(0,0,0,0))
plot(all$V1,1/(1-pnorm(all$V2/all$V3)),ylab="",xlab="",type="n",xaxt="n",yaxt="n",xlim=x,log="y")
abline(h=0,lty="solid")
axis(side=4,las=2)
grid(nx=NA,ny=NULL,lty="solid")
lines(all$V1,1/(1-pnorm(all$V2/all$V3)),col="red")
par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.33,0.7,labels="all nucleotides",cex=1,adj=0.0)
text(0.33,0.4,labels="www2 nt running-mean",cex=1,adj=0.0)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.95,0.91,labels="Summed",cex=0.9,adj=1.0)
text(0.95,0.63,labels="divergence of",cex=0.9,adj=1.0)
text(0.95,0.35,labels="contributing",cex=0.9,adj=1.0)
text(0.95,0.07,labels="sequence pairs",cex=0.9,adj=1.0)
par(mar=c(0,0,0,0))
plot(lambda$V1,lambda$V2,ylab="",xlab="",type="l",ylim=c(0,1.5*rrr),xaxt="n",yaxt="n",xlim=x,col="purple")
axis(side=4,las=2)
abline(h=0,lty="solid")
par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.25,0.8,labels="mean number",cex=1,adj=0.0)
text(0.25,0.5,labels="of mutations",cex=1,adj=0.0)
text(0.25,0.2,labels="per column",cex=1,adj=0.0)

c1 <- c(orfx1)
d1 <- c(orfy)
c2 <- c(orfx2)
d2 <- c(orfy)
par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
par(mar=c(0,0,0,0))
plot(temp,temp,ylab="",xlab="",type="n",ylim=c(0,1),xaxt="n",yaxt="n",xlim=x,cex.lab=10)
arrows(c1,d1,c2,d2,length=0.025,angle=90,lwd=2.0,col="blue",code=3)
par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.0,0.7,labels="Reference",cex=1,adj=0.0)
text(0.0,0.4,labels="sequence CDSs",cex=1,adj=0.0)

c1 <- c(kfx1)
d1 <- c(kfy)
c2 <- c(kfx2)
d2 <- c(kfy)
par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
par(mar=c(0,0,0,0))
plot(temp,temp,ylab="",xlab="",type="n",ylim=c(0,1),yaxt="n",xlim=x,cex.lab=10)
arrows(c1,d1,c2,d2,length=0.025,angle=90,lwd=2.0,col="red",code=3)
par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.0,0.7,labels="Known",cex=1,adj=0.0)
text(0.0,0.4,labels="features",cex=1,adj=0.0)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.5,0.2,labels="nucleotide index",cex=1.7,adj=0.5)
par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)

dev.off()

